package cn.reghao.bnt.common.msg;

import java.io.IOException;

/**
 * @author reghao
 * @date 2023-02-23 09:25:57
 */
public interface MessageSender {
    default void connect() {
    }
    void setConnected(boolean status);
    boolean isConnected();
    void send(String dest, Object message) throws IOException;
    default void close() {
    }
}
